(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    121042,       3285]
NotebookOptionsPosition[    113161,       3155]
NotebookOutlinePosition[    113558,       3171]
CellTagsIndexPosition[    113515,       3168]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Ruckig Step 1 UDUD", "Text",
 CellChangeTimes->{{3.8174628076007547`*^9, 3.817462833050323*^9}, {
  3.820307235551709*^9, 3.820307236485478*^9}, {3.8205529802932777`*^9, 
  3.8205529809867*^9}},ExpressionUUID->"f0efc888-777d-4c66-b8e6-2db88daacc31"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"jerkProfile", "=", 
   RowBox[{"{", 
    RowBox[{"jMax", ",", "0", ",", 
     RowBox[{"-", "jMax"}], ",", "0", ",", "jMax", ",", "0", ",", 
     RowBox[{"-", "jMax"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tVars", "=", 
   RowBox[{"{", 
    RowBox[{
    "t1", ",", "t2", ",", "t3", ",", "t4", ",", "t5", ",", "t6", ",", "t7"}], 
    "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"tAll", "=", 
    RowBox[{
    "t1", "+", "t2", "+", "t3", "+", "t4", "+", "t5", "+", "t6", "+", 
     "t7"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a1", "=", 
   RowBox[{"a0", "+", 
    RowBox[{"t1", " ", 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a2", "=", 
   RowBox[{"a1", "+", 
    RowBox[{"t2", " ", 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a3", "=", 
   RowBox[{"a2", "+", 
    RowBox[{"t3", " ", 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a4", "=", 
   RowBox[{"a3", "+", 
    RowBox[{"t4", " ", 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "4", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a5", "=", 
   RowBox[{"a4", "+", 
    RowBox[{"t5", " ", 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "5", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"a6", "=", 
   RowBox[{"a5", "+", 
    RowBox[{"t6", " ", 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "6", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a7", "=", 
    RowBox[{"a6", "+", 
     RowBox[{"t7", " ", 
      RowBox[{"jerkProfile", "[", 
       RowBox[{"[", "7", "]"}], "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v1", "=", 
   RowBox[{"v0", "+", 
    RowBox[{"t1", " ", "a0"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t1", "2"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v2", "=", 
   RowBox[{"v1", "+", 
    RowBox[{"t2", " ", "a1"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t2", "2"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v3", "=", 
   RowBox[{"v2", "+", 
    RowBox[{"t3", " ", "a2"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t3", "2"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v4", "=", 
   RowBox[{"v3", "+", 
    RowBox[{"t4", " ", "a3"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t4", "2"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "4", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v5", "=", 
   RowBox[{"v4", "+", 
    RowBox[{"t5", " ", "a4"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t5", "2"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "5", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"v6", "=", 
   RowBox[{"v5", "+", 
    RowBox[{"t6", " ", "a5"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t6", "2"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "6", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"v7", "=", 
    RowBox[{"v6", "+", 
     RowBox[{"t7", " ", "a6"}], "+", 
     RowBox[{
      FractionBox["1", "2"], 
      SuperscriptBox["t7", "2"], 
      RowBox[{"jerkProfile", "[", 
       RowBox[{"[", "7", "]"}], "]"}]}]}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p1", "=", 
   RowBox[{"p0", "+", 
    RowBox[{"t1", " ", "v0"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t1", "2"], " ", "a0"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t1", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p2", "=", 
   RowBox[{"p1", "+", 
    RowBox[{"t2", " ", "v1"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t2", "2"], " ", "a1"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t2", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p3", "=", 
   RowBox[{"p2", "+", 
    RowBox[{"t3", " ", "v2"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t3", "2"], " ", "a2"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t3", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "3", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p4", "=", 
   RowBox[{"p3", "+", 
    RowBox[{"t4", " ", "v3"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t4", "2"], " ", "a3"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t4", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "4", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p5", "=", 
   RowBox[{"p4", "+", 
    RowBox[{"t5", " ", "v4"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t5", "2"], " ", "a4"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t5", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "5", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p6", "=", 
   RowBox[{"p5", "+", 
    RowBox[{"t6", " ", "v5"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t6", "2"], " ", "a5"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t6", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "6", "]"}], "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p7", "=", 
   RowBox[{"p6", "+", 
    RowBox[{"t7", " ", "v6"}], "+", 
    RowBox[{
     FractionBox["1", "2"], 
     SuperscriptBox["t7", "2"], " ", "a6"}], "+", 
    RowBox[{
     FractionBox["1", "6"], 
     SuperscriptBox["t7", "3"], 
     RowBox[{"jerkProfile", "[", 
      RowBox[{"[", "7", "]"}], "]"}]}]}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.817462841378334*^9, 3.817462900269423*^9}, {
   3.8176136118348*^9, 3.8176136203885107`*^9}, 3.817613860612129*^9, 
   3.817615902502871*^9, 3.817628855244062*^9, 3.817628926525811*^9, 
   3.817630327779182*^9, 3.817630856882971*^9, 3.817631232893464*^9, 
   3.817631310598453*^9, 3.817640134759371*^9, 3.818009215253849*^9, {
   3.819365329290554*^9, 3.819365331663157*^9}, 3.820148038073226*^9, {
   3.820552983040749*^9, 3.820553016752187*^9}},
 CellLabel->
  "In[1750]:=",ExpressionUUID->"d346b209-9dd3-47cf-8f1e-f04bc3bf980a"],

Cell[BoxData[
 RowBox[{
  RowBox[{"resultT", "=", 
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"a1", "\[Equal]", "aMax"}], ",", 
         RowBox[{"a5", "\[Equal]", 
          RowBox[{"-", "aMax"}]}], ",", 
         RowBox[{"v3", "\[Equal]", "vMax"}]}], "}"}], ",", "tVars"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"a1", "\[Equal]", "aMax"}], ",", 
         RowBox[{"a5", "\[Equal]", 
          RowBox[{"-", "aMax"}]}], ",", 
         RowBox[{"t4", "\[Equal]", "0"}]}], "}"}], ",", "tVars"}], "]"}], ",",
      "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"t2", "\[Equal]", "0"}], ",", 
         RowBox[{"a5", "\[Equal]", 
          RowBox[{"-", "aMax"}]}], ",", 
         RowBox[{"v3", "\[Equal]", "vMax"}]}], "}"}], ",", "tVars"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"a1", "\[Equal]", "aMax"}], ",", 
         RowBox[{"t6", "\[Equal]", "0"}], ",", 
         RowBox[{"v3", "\[Equal]", "vMax"}]}], "}"}], ",", "tVars"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"t2", "\[Equal]", "0"}], ",", 
         RowBox[{"t6", "\[Equal]", "0"}], ",", 
         RowBox[{"v3", "\[Equal]", "vMax"}]}], "}"}], ",", "tVars"}], "]"}], 
     ",", "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"t2", "\[Equal]", "0"}], ",", 
         RowBox[{"a5", "\[Equal]", 
          RowBox[{"-", "aMax"}]}], ",", 
         RowBox[{"t4", "\[Equal]", "0"}]}], "}"}], ",", "tVars", ",", 
       RowBox[{"Cubics", "\[Rule]", "False"}], ",", 
       RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"t2", "\[Equal]", "0"}], ",", 
         RowBox[{"a5", "\[Equal]", "aMax"}], ",", 
         RowBox[{"t4", "\[Equal]", "0"}]}], "}"}], ",", "tVars", ",", 
       RowBox[{"Cubics", "\[Rule]", "False"}], ",", 
       RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"a1", "\[Equal]", "aMax"}], ",", 
         RowBox[{"t6", "\[Equal]", "0"}], ",", 
         RowBox[{"t4", "\[Equal]", "0"}]}], "}"}], ",", "tVars", ",", 
       RowBox[{"Cubics", "\[Rule]", "False"}], ",", 
       RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"a7", "\[Equal]", "af"}], ",", 
         RowBox[{"v7", "\[Equal]", "vf"}], ",", 
         RowBox[{"p7", "\[Equal]", "pf"}], ",", 
         RowBox[{"a3", "\[Equal]", "0"}], ",", 
         RowBox[{"t2", "\[Equal]", "0"}], ",", 
         RowBox[{"t6", "\[Equal]", "0"}], ",", 
         RowBox[{"t4", "\[Equal]", "0"}]}], "}"}], ",", "tVars", ",", 
       RowBox[{"Cubics", "\[Rule]", "False"}], ",", 
       RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"a7", "/.", 
            RowBox[{"{", 
             RowBox[{"a0", "\[Rule]", "0"}], "}"}]}], ")"}], "\[Equal]", 
          "0"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"v7", "/.", 
            RowBox[{"{", 
             RowBox[{"a0", "\[Rule]", "0"}], "}"}]}], ")"}], "\[Equal]", 
          "vf"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"p7", "/.", 
            RowBox[{"{", 
             RowBox[{"a0", "\[Rule]", "0"}], "}"}]}], ")"}], "\[Equal]", 
          "pf"}], ",", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"a3", "/.", 
            RowBox[{"{", 
             RowBox[{"a0", "\[Rule]", "0"}], "}"}]}], ")"}], "\[Equal]", 
          "0"}], ",", 
         RowBox[{"t2", "\[Equal]", "0"}], ",", 
         RowBox[{"t6", "\[Equal]", "0"}], ",", 
         RowBox[{"t4", "\[Equal]", "0"}]}], "}"}], ",", "tVars", ",", 
       RowBox[{"Cubics", "\[Rule]", "False"}], ",", 
       RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.8174629257969522`*^9, 3.817462978356163*^9}, {
   3.817463017710661*^9, 3.817463019150318*^9}, {3.817463125060719*^9, 
   3.817463268801898*^9}, {3.8174633497876797`*^9, 3.817463350013275*^9}, {
   3.8176142815731697`*^9, 3.817614282974786*^9}, 3.817629135081959*^9, 
   3.817629174090706*^9, {3.817629395753993*^9, 3.817629397914218*^9}, {
   3.817629903651003*^9, 3.81762990789653*^9}, 3.817630008980739*^9, {
   3.8176308336239557`*^9, 3.8176308355038147`*^9}, 3.8176412855214357`*^9, {
   3.819480271236746*^9, 3.819480275524906*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"ccba75f7-892e-4119-93ec-41811b2e330e"],

Cell["UDUD Time Minimization", "CodeText",
 CellChangeTimes->{{3.820148045831812*^9, 3.820148047965917*^9}, {
  3.820149510658725*^9, 3.820149514583879*^9}, {3.820553007459258*^9, 
  3.820553010821774*^9}},ExpressionUUID->"3f45e156-5cf9-44e3-af10-\
aa1a13b499e9"],

Cell["Profile Acc0 Acc1. Is that one needed?", "Text",
 CellChangeTimes->{{3.820554136891788*^9, 3.820554139838793*^9}, {
  3.820554375243129*^9, 
  3.820554378125979*^9}},ExpressionUUID->"2017e324-b7a0-4489-937e-\
6129191314c5"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"t1r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a1", "/.", 
        RowBox[{"{", 
         RowBox[{"t4", "\[Rule]", "0"}], "}"}]}], ")"}], "\[Equal]", "aMax"}],
      ",", "t1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t5r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a5", "/.", 
         RowBox[{"{", 
          RowBox[{"t4", "\[Rule]", "0"}], "}"}]}], "/.", 
        RowBox[{"t1r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "aMax"}], ",", 
     "t5"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t7r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"a7", "/.", 
          RowBox[{"{", 
           RowBox[{"t4", "\[Rule]", "0"}], "}"}]}], "/.", 
         RowBox[{"t1r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "af"}], ",", 
     "t7"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t6r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"v7", "/.", 
           RowBox[{"{", 
            RowBox[{"t4", "\[Rule]", "0"}], "}"}]}], "/.", 
          RowBox[{"t1r", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
         RowBox[{"t5r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t7r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
     "t6"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"p7", "/.", 
            RowBox[{"{", 
             RowBox[{"t4", "\[Rule]", "0"}], "}"}]}], "/.", 
           RowBox[{"t1r", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
          RowBox[{"t5r", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
         RowBox[{"t7r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t6r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "pf"}], ",", 
     "t3", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}], ",", 
     RowBox[{"Cubics", "\[Rule]", "False"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.82055414799629*^9, 3.820554239389654*^9}, {
  3.82055427461406*^9, 3.820554284704516*^9}, {3.820554359545277*^9, 
  3.8205543644675007`*^9}},
 CellLabel->
  "In[2029]:=",ExpressionUUID->"29330804-eec8-4caf-a352-e6a473b8e196"],

Cell["Profile Acc0", "Text",
 CellChangeTimes->{{3.8205530420411577`*^9, 
  3.820553051040275*^9}},ExpressionUUID->"b2ca35da-1c51-4789-8fe2-\
df4c8a8a6dd2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"t1r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a1", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t4", "\[Rule]", "0"}], ",", 
          RowBox[{"t6", "\[Rule]", "0"}], ",", 
          RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], ")"}], "\[Equal]", 
      "aMax"}], ",", "t1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t5r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"a7", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"t4", "\[Rule]", "0"}], ",", 
           RowBox[{"t6", "\[Rule]", "0"}], ",", 
           RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], "/.", "t1r"}], ")"}], 
      "\[Equal]", "af"}], ",", "t5"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t2r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"v7", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t4", "\[Rule]", "0"}], ",", 
            RowBox[{"t6", "\[Rule]", "0"}], ",", 
            RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], "/.", 
         RowBox[{"t1r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
     "t2"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"p7", "/.", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"t4", "\[Rule]", "0"}], ",", 
             RowBox[{"t6", "\[Rule]", "0"}], ",", 
             RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], "/.", 
          RowBox[{"t1r", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
         RowBox[{"t5r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t2r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "pf"}], ",", 
     "t3", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}], ",", 
     RowBox[{"Cubics", "\[Rule]", "False"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.820469812563943*^9, 3.820469967517128*^9}, 
   3.8204699986005917`*^9, {3.8204700934727287`*^9, 3.820470232867256*^9}, {
   3.820470298681115*^9, 3.820470358351329*^9}, {3.820470429393427*^9, 
   3.820470452927017*^9}, {3.820477185910329*^9, 3.820477255613295*^9}, {
   3.820478647842174*^9, 3.820478664088344*^9}, {3.820479471360922*^9, 
   3.82047948993532*^9}, {3.820479718091106*^9, 3.820479773051201*^9}, {
   3.8205543660643053`*^9, 3.820554367976314*^9}},
 CellLabel->
  "In[2038]:=",ExpressionUUID->"d8d6b366-35dd-4052-aa2e-094a5ea14d30"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"tmp", "=", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"t5r", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "]"}], "/.", 
   RowBox[{"{", 
    RowBox[{"t3", "\[Rule]", "t"}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"ToString", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", "tmp", "]"}], ",", "CForm"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.82047949564819*^9, 3.8204795441918573`*^9}, {
  3.820479776683545*^9, 
  3.820479822458334*^9}},ExpressionUUID->"ba86318c-49c6-475e-8175-\
23998c1d35c0"],

Cell[BoxData[
 FractionBox[
  RowBox[{"af", "-", "aMax", "+", 
   RowBox[{"jMax", " ", "t3"}]}], "jMax"]], "Output",
 CellChangeTimes->{{3.820479496002727*^9, 3.8204795449724092`*^9}, {
  3.820479777017172*^9, 3.820479808185134*^9}},
 CellLabel->
  "Out[1622]=",ExpressionUUID->"d47918f5-d1be-4a71-b5a6-ecb86447e980"],

Cell[BoxData["\<\"(af - aMax + jMax*t3)/jMax\"\>"], "Output",
 CellChangeTimes->{{3.820479496002727*^9, 3.8204795449724092`*^9}, {
  3.820479777017172*^9, 3.820479808190071*^9}},
 CellLabel->
  "Out[1623]=",ExpressionUUID->"fb288fdc-c395-407c-abb8-789580173713"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tRoot", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmpResult", "=", 
   RowBox[{"t3r", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rootFunction", "=", 
   RowBox[{"tmpResult", "[", 
    RowBox[{"[", 
     RowBox[{"tRoot", ",", "2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   FractionBox[
    RowBox[{
     RowBox[{"CoefficientList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"rootFunction", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], ",", "x"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}], 
    RowBox[{"Last", "[", 
     RowBox[{"CoefficientList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"rootFunction", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], ",", "x"}], "]"}], 
     "]"}]], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToString", "[", 
   RowBox[{"tmp", ",", "CForm"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820470613518242*^9, 3.820470660295394*^9}, {
  3.8204795673292847`*^9, 3.820479585663599*^9}, {3.82047983025165*^9, 
  3.8204798546097918`*^9}},
 CellLabel->
  "In[1655]:=",ExpressionUUID->"8661a96e-a382-4a1f-9033-993cef60d8c3"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"12", " ", 
    SuperscriptBox["jMax", "4"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], " ", 
     SuperscriptBox["a0", "4"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["af", "4"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["a0", "3"], " ", "aMax"}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["af", "3"], " ", "aMax"}], "-", 
    RowBox[{"24", " ", "a0", " ", "aMax", " ", "jMax", " ", "v0"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["a0", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["aMax", "2"], "-", 
       RowBox[{"2", " ", "jMax", " ", "v0"}]}], ")"}]}], "+", 
    RowBox[{"24", " ", "af", " ", "aMax", " ", "jMax", " ", "vf"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["af", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["aMax", "2"], "-", 
       RowBox[{"2", " ", "jMax", " ", "vf"}]}], ")"}]}], "+", 
    RowBox[{"12", " ", "jMax", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"2", " ", "aMax", " ", "jMax", " ", 
        RowBox[{"(", 
         RowBox[{"p0", "-", "pf"}], ")"}]}], "+", 
       RowBox[{
        SuperscriptBox["aMax", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"v0", "-", "vf"}], ")"}]}], "+", 
       RowBox[{"jMax", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["v0", "2"]}], "+", 
          SuperscriptBox["vf", "2"]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.82047061428708*^9, 3.820470660649027*^9}, {
  3.820479566024355*^9, 3.8204795859232683`*^9}, {3.82047983069186*^9, 
  3.8204798548666077`*^9}},
 CellLabel->
  "Out[1658]=",ExpressionUUID->"26f01fc3-d112-4df2-a15e-79678a1bc775"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"t5r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a5", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"t2", "\[Rule]", "0"}], ",", 
         RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], ")"}], "\[Equal]", 
     "aMax"}], ",", "t5"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"t7r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"a7", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", "t5r"}], ")"}], 
     "\[Equal]", "af"}], ",", "t7"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"t6r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"v7", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"t2", "\[Rule]", "0"}], ",", 
           RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"t7r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
    "t6"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"p7", "/.", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"t2", "\[Rule]", "0"}], ",", 
             RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
          RowBox[{"t5r", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
         RowBox[{"t7r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t6r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "pf"}], ",", 
     "t1"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.820472981360763*^9, 3.8204730017906857`*^9}, {
  3.820473052122456*^9, 3.8204730760968523`*^9}},
 CellLabel->
  "In[1667]:=",ExpressionUUID->"d57e959b-b7e7-4c01-a8fa-026edffa41d9"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t5", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "a0"}], "+", "aMax", "-", 
      RowBox[{"jMax", " ", "t1"}], "+", 
      RowBox[{"jMax", " ", "t3"}]}], "jMax"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.820472964697912*^9, 3.820473008477085*^9}, {
   3.8204730525130043`*^9, 3.820473076525063*^9}, 3.820473210346684*^9, 
   3.8204804775964947`*^9},
 CellLabel->
  "Out[1667]=",ExpressionUUID->"b11919c9-3144-4341-aba1-0b1d8be41a19"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t7", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "af"}], "+", "aMax"}], "jMax"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.820472964697912*^9, 3.820473008477085*^9}, {
   3.8204730525130043`*^9, 3.820473076525063*^9}, 3.820473210346684*^9, 
   3.820480477600416*^9},
 CellLabel->
  "Out[1668]=",ExpressionUUID->"1c12974d-0498-476d-927d-13b39c32b6c2"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t6", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a0", "2"], "+", 
      SuperscriptBox["af", "2"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["aMax", "2"]}], "-", 
      RowBox[{"4", " ", "a0", " ", "jMax", " ", "t3"}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["jMax", "2"], " ", "t1", " ", "t3"}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["jMax", "2"], " ", 
       SuperscriptBox["t3", "2"]}], "-", 
      RowBox[{"2", " ", "jMax", " ", "v0"}], "+", 
      RowBox[{"2", " ", "jMax", " ", "vf"}]}], 
     RowBox[{"2", " ", "aMax", " ", "jMax"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.820472964697912*^9, 3.820473008477085*^9}, {
   3.8204730525130043`*^9, 3.820473076525063*^9}, 3.820473210346684*^9, 
   3.820480477604775*^9},
 CellLabel->
  "Out[1669]=",ExpressionUUID->"f685fef8-e488-40f3-869c-d77499e633dc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
        "tAll", ",", "t1", ",", "t3", ",", "t5", ",", "t6", ",", "t7"}], 
        "}"}], "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"t2", "\[Rule]", "0"}], ",", 
         RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
      RowBox[{"t5r", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t7r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
    RowBox[{"t6r", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
   RowBox[{"t1r", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"p0", "\[Rule]", 
     RowBox[{"-", "2.78419"}]}], ",", 
    RowBox[{"v0", "\[Rule]", "0.218867"}], ",", 
    RowBox[{"a0", "\[Rule]", 
     RowBox[{"-", "0.0315753"}]}], ",", 
    RowBox[{"pf", "\[Rule]", 
     RowBox[{"-", "2.61554"}]}], ",", 
    RowBox[{"vf", "\[Rule]", "0.703079"}], ",", 
    RowBox[{"af", "\[Rule]", "1.81837"}], ",", 
    RowBox[{"vMax", "\[Rule]", "9.79655"}], ",", 
    RowBox[{"aMax", "\[Rule]", "2.38929"}], ",", 
    RowBox[{"jMax", "\[Rule]", "11.0884"}], ",", 
    RowBox[{"t3", "\[Rule]", "0.08184"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.820480428913846*^9, 3.820480429840912*^9}, {
  3.820480479652309*^9, 3.820480490978854*^9}, {3.820480533524412*^9, 
  3.820480667601686*^9}, {3.820480791868555*^9, 3.820480795155054*^9}},
 CellLabel->
  "In[1710]:=",ExpressionUUID->"c031ee14-cf99-44c4-b969-5d49c2e072bf"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "0.44168575365511054`", ",", "0.09828155312351912`", ",", "0.08184`", ",", 
   "0.20188257840131762`", ",", "0.008193580573331376`", ",", 
   "0.05148804155694237`"}], "}"}]], "Output",
 CellChangeTimes->{
  3.820480430294427*^9, {3.820480482181438*^9, 3.820480491388426*^9}, {
   3.820480535020849*^9, 3.820480667899111*^9}, 3.820480795713722*^9},
 CellLabel->
  "Out[1710]=",ExpressionUUID->"83f74dbf-bf61-4c36-b5da-59096000bc76"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"t6r", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ToString", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", "tmp", "]"}], ",", "CForm"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820473900870178*^9, 3.8204739063251762`*^9}, {
  3.820473974557673*^9, 3.820473992476828*^9}},
 CellLabel->
  "In[1070]:=",ExpressionUUID->"32f421af-9488-445c-9a56-fcc5c55c6037"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a0", "2"], "+", 
   SuperscriptBox["af", "2"], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox["aMax", "2"]}], "-", 
   RowBox[{"4", " ", "a0", " ", "jMax", " ", "t3"}], "-", 
   RowBox[{"4", " ", 
    SuperscriptBox["jMax", "2"], " ", "t1", " ", "t3"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["jMax", "2"], " ", 
    SuperscriptBox["t3", "2"]}], "-", 
   RowBox[{"2", " ", "jMax", " ", "v0"}], "+", 
   RowBox[{"2", " ", "jMax", " ", "vf"}]}], 
  RowBox[{"2", " ", "aMax", " ", "jMax"}]]], "Output",
 CellChangeTimes->{{3.820473902144046*^9, 3.820473907217226*^9}, {
   3.820473975017323*^9, 3.8204739928606358`*^9}, 3.8204741134910316`*^9},
 CellLabel->
  "Out[1070]=",ExpressionUUID->"e9690900-44cb-4a97-85a3-7c8e1662421c"],

Cell[BoxData["\<\"(Power(a0,2) + Power(af,2) - 2*Power(aMax,2) - 4*a0*jMax*t3 \
- 4*Power(jMax,2)*t1*t3 + 2*Power(jMax,2)*Power(t3,2) - 2*jMax*v0 + \
2*jMax*vf)/(2.*aMax*jMax)\"\>"], "Output",
 CellChangeTimes->{{3.820473902144046*^9, 3.820473907217226*^9}, {
   3.820473975017323*^9, 3.8204739928606358`*^9}, 3.820474113494688*^9},
 CellLabel->
  "Out[1071]=",ExpressionUUID->"846e2b30-d6d0-4e57-b203-3ccfaa6c2c9f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"t3r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"t6r", "[", 
        RowBox[{"[", 
         RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "/.", 
       RowBox[{"t1r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "0"}], ",", "t3",
     ",", 
    RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8204742352499638`*^9, 3.820474277076106*^9}},
 CellLabel->
  "In[1080]:=",ExpressionUUID->"98e5f169-5f1d-47e0-b55e-2ae66f4200cb"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"t3", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["a0", "4"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"6", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["af", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["af", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["aMax", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["v0", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", "v0", " ", "vf"}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["vf", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["a0", "3"]}], 
              SuperscriptBox["jMax", "3"]]}], "+", 
            FractionBox[
             RowBox[{"16", " ", 
              SuperscriptBox["af", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["af", "2"], " ", "aMax"}], 
             SuperscriptBox["jMax", "3"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "p0"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "pf"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "a0", " ", "v0"}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", "af", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"96", " ", "aMax", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]]}], ")"}], " ", "#1"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["a0", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["af", "2"]}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "v0"}], "jMax"], "-", 
            FractionBox[
             RowBox[{"48", " ", "vf"}], "jMax"]}], ")"}], " ", 
          SuperscriptBox["#1", "2"]}], "-", 
         RowBox[{"12", " ", 
          SuperscriptBox["#1", "4"]}]}], "&"}], ",", "1"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t3", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["a0", "4"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"6", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["af", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["af", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["aMax", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["v0", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", "v0", " ", "vf"}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["vf", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["a0", "3"]}], 
              SuperscriptBox["jMax", "3"]]}], "+", 
            FractionBox[
             RowBox[{"16", " ", 
              SuperscriptBox["af", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["af", "2"], " ", "aMax"}], 
             SuperscriptBox["jMax", "3"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "p0"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "pf"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "a0", " ", "v0"}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", "af", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"96", " ", "aMax", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]]}], ")"}], " ", "#1"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["a0", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["af", "2"]}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "v0"}], "jMax"], "-", 
            FractionBox[
             RowBox[{"48", " ", "vf"}], "jMax"]}], ")"}], " ", 
          SuperscriptBox["#1", "2"]}], "-", 
         RowBox[{"12", " ", 
          SuperscriptBox["#1", "4"]}]}], "&"}], ",", "2"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t3", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["a0", "4"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"6", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["af", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["af", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["aMax", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["v0", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", "v0", " ", "vf"}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["vf", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["a0", "3"]}], 
              SuperscriptBox["jMax", "3"]]}], "+", 
            FractionBox[
             RowBox[{"16", " ", 
              SuperscriptBox["af", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["af", "2"], " ", "aMax"}], 
             SuperscriptBox["jMax", "3"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "p0"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "pf"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "a0", " ", "v0"}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", "af", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"96", " ", "aMax", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]]}], ")"}], " ", "#1"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["a0", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["af", "2"]}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "v0"}], "jMax"], "-", 
            FractionBox[
             RowBox[{"48", " ", "vf"}], "jMax"]}], ")"}], " ", 
          SuperscriptBox["#1", "2"]}], "-", 
         RowBox[{"12", " ", 
          SuperscriptBox["#1", "4"]}]}], "&"}], ",", "3"}], "]"}]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"t3", "\[Rule]", 
     RowBox[{"Root", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["a0", "4"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"6", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["af", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["af", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", 
           SuperscriptBox["aMax", "2"]}], 
          SuperscriptBox["jMax", "4"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["aMax", "4"]}], 
          SuperscriptBox["jMax", "4"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "v0"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["v0", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["a0", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["af", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", 
           SuperscriptBox["aMax", "2"], " ", "vf"}], 
          SuperscriptBox["jMax", "3"]], "-", 
         FractionBox[
          RowBox[{"24", " ", "v0", " ", "vf"}], 
          SuperscriptBox["jMax", "2"]], "+", 
         FractionBox[
          RowBox[{"12", " ", 
           SuperscriptBox["vf", "2"]}], 
          SuperscriptBox["jMax", "2"]], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             FractionBox[
              RowBox[{"16", " ", 
               SuperscriptBox["a0", "3"]}], 
              SuperscriptBox["jMax", "3"]]}], "+", 
            FractionBox[
             RowBox[{"16", " ", 
              SuperscriptBox["af", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["af", "2"], " ", "aMax"}], 
             SuperscriptBox["jMax", "3"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "3"]}], 
             SuperscriptBox["jMax", "3"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "p0"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "pf"}], "jMax"], "+", 
            FractionBox[
             RowBox[{"48", " ", "a0", " ", "v0"}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", "af", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"96", " ", "aMax", " ", "vf"}], 
             SuperscriptBox["jMax", "2"]]}], ")"}], " ", "#1"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["a0", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"24", " ", 
              SuperscriptBox["af", "2"]}], 
             SuperscriptBox["jMax", "2"]], "+", 
            FractionBox[
             RowBox[{"48", " ", 
              SuperscriptBox["aMax", "2"]}], 
             SuperscriptBox["jMax", "2"]], "-", 
            FractionBox[
             RowBox[{"48", " ", "v0"}], "jMax"], "-", 
            FractionBox[
             RowBox[{"48", " ", "vf"}], "jMax"]}], ")"}], " ", 
          SuperscriptBox["#1", "2"]}], "-", 
         RowBox[{"12", " ", 
          SuperscriptBox["#1", "4"]}]}], "&"}], ",", "4"}], "]"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{{3.820474233636759*^9, 3.820474277845888*^9}},
 CellLabel->
  "Out[1080]=",ExpressionUUID->"8ee6fb37-c85f-48c4-aa14-1794c1a3c7c6"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[Sqrt]", 
  RowBox[{"(", 
   RowBox[{
    FractionBox["1", 
     RowBox[{
      SuperscriptBox["aMax", "2"], " ", "jMax"}]], 
    RowBox[{"t3", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"-", "3"}], " ", 
        SuperscriptBox["a0", "4"], " ", "aMax"}], "+", 
       RowBox[{"3", " ", 
        SuperscriptBox["af", "4"], " ", 
        RowBox[{"(", 
         RowBox[{"aMax", "+", 
          RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "+", 
       RowBox[{"8", " ", 
        SuperscriptBox["a0", "3"], " ", "aMax", " ", 
        RowBox[{"(", 
         RowBox[{"aMax", "+", 
          RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "-", 
       RowBox[{"8", " ", 
        SuperscriptBox["af", "3"], " ", "aMax", " ", 
        RowBox[{"(", 
         RowBox[{"aMax", "+", 
          RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "-", 
       RowBox[{"24", " ", "a0", " ", "aMax", " ", "jMax", " ", 
        RowBox[{"(", 
         RowBox[{"aMax", "+", 
          RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", "v0"}], "-", 
       RowBox[{"6", " ", 
        SuperscriptBox["a0", "2"], " ", "aMax", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["aMax", "2"], "+", 
          RowBox[{"4", " ", "aMax", " ", "jMax", " ", "t3"}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox["jMax", "2"], " ", 
           SuperscriptBox["t3", "2"]}], "-", 
          RowBox[{"2", " ", "jMax", " ", "v0"}]}], ")"}]}], "-", 
       RowBox[{"24", " ", "af", " ", "aMax", " ", "jMax", " ", 
        RowBox[{"(", 
         RowBox[{"aMax", "+", 
          RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", "vf"}], "+", 
       RowBox[{"6", " ", 
        SuperscriptBox["af", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"aMax", "+", 
          RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["aMax", "2"], "+", 
          RowBox[{"2", " ", "jMax", " ", "vf"}]}], ")"}]}], "+", 
       RowBox[{"6", " ", "jMax", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           SuperscriptBox["aMax", "4"], " ", "t3"}], "+", 
          RowBox[{"4", " ", 
           SuperscriptBox["jMax", "2"], " ", "t3", " ", 
           SuperscriptBox["vf", "2"]}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["aMax", "3"], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"2", " ", "jMax", " ", 
              SuperscriptBox["t3", "2"]}], "+", "v0", "+", "vf"}], ")"}]}], 
          "+", 
          RowBox[{
           SuperscriptBox["aMax", "2"], " ", "jMax", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"4", " ", "p0"}], "-", 
             RowBox[{"4", " ", "pf"}], "+", 
             RowBox[{"5", " ", "jMax", " ", 
              SuperscriptBox["t3", "3"]}], "+", 
             RowBox[{"8", " ", "t3", " ", "v0"}], "+", 
             RowBox[{"4", " ", "t3", " ", "vf"}]}], ")"}]}], "+", 
          RowBox[{"2", " ", "aMax", " ", "jMax", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["jMax", "2"], " ", 
              SuperscriptBox["t3", "4"]}], "-", 
             SuperscriptBox["v0", "2"], "+", 
             RowBox[{"4", " ", "jMax", " ", "t3", " ", 
              RowBox[{"(", 
               RowBox[{"p0", "-", "pf", "+", 
                RowBox[{"t3", " ", "v0"}]}], ")"}]}], "+", 
             SuperscriptBox["vf", "2"]}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Input",ExpressionUUID->"6e919ab8-7fe2-47c6-90c0-23d9f010233f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"t6", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
       RowBox[{"t5r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
      RowBox[{"t7r", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t6r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
    RowBox[{"t1r", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "]"}]], "Input",
 CellChangeTimes->{{3.820473711625061*^9, 3.820473714480792*^9}, {
  3.8204809576139183`*^9, 3.820480974388446*^9}},
 CellLabel->
  "In[1716]:=",ExpressionUUID->"48585b25-f917-4a21-8579-f955faf3196d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"3", " ", 
     SuperscriptBox["a0", "2"], " ", "aMax"}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["af", "2"], " ", "aMax"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["aMax", "3"]}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["af", "2"], " ", "jMax", " ", "t3"}], "-", 
    RowBox[{"18", " ", 
     SuperscriptBox["aMax", "2"], " ", "jMax", " ", "t3"}], "-", 
    RowBox[{"12", " ", "aMax", " ", 
     SuperscriptBox["jMax", "2"], " ", 
     SuperscriptBox["t3", "2"]}], "-", 
    RowBox[{"6", " ", "aMax", " ", "jMax", " ", "v0"}], "+", 
    RowBox[{"6", " ", "aMax", " ", "jMax", " ", "vf"}], "+", 
    RowBox[{"12", " ", 
     SuperscriptBox["jMax", "2"], " ", "t3", " ", "vf"}], "-", 
    RowBox[{
     SqrtBox["6"], " ", "aMax", " ", "jMax", " ", 
     RowBox[{"\[Sqrt]", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", 
         RowBox[{
          SuperscriptBox["aMax", "2"], " ", "jMax"}]], 
        RowBox[{"t3", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "3"}], " ", 
            SuperscriptBox["a0", "4"], " ", "aMax"}], "+", 
           RowBox[{"3", " ", 
            SuperscriptBox["af", "4"], " ", 
            RowBox[{"(", 
             RowBox[{"aMax", "+", 
              RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "+", 
           RowBox[{"8", " ", 
            SuperscriptBox["a0", "3"], " ", "aMax", " ", 
            RowBox[{"(", 
             RowBox[{"aMax", "+", 
              RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "-", 
           RowBox[{"8", " ", 
            SuperscriptBox["af", "3"], " ", "aMax", " ", 
            RowBox[{"(", 
             RowBox[{"aMax", "+", 
              RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "-", 
           RowBox[{"24", " ", "a0", " ", "aMax", " ", "jMax", " ", 
            RowBox[{"(", 
             RowBox[{"aMax", "+", 
              RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", "v0"}], 
           "-", 
           RowBox[{"6", " ", 
            SuperscriptBox["a0", "2"], " ", "aMax", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["aMax", "2"], "+", 
              RowBox[{"4", " ", "aMax", " ", "jMax", " ", "t3"}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox["jMax", "2"], " ", 
               SuperscriptBox["t3", "2"]}], "-", 
              RowBox[{"2", " ", "jMax", " ", "v0"}]}], ")"}]}], "-", 
           RowBox[{"24", " ", "af", " ", "aMax", " ", "jMax", " ", 
            RowBox[{"(", 
             RowBox[{"aMax", "+", 
              RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", "vf"}], 
           "+", 
           RowBox[{"6", " ", 
            SuperscriptBox["af", "2"], " ", 
            RowBox[{"(", 
             RowBox[{"aMax", "+", 
              RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["aMax", "2"], "+", 
              RowBox[{"2", " ", "jMax", " ", "vf"}]}], ")"}]}], "+", 
           RowBox[{"6", " ", "jMax", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{
               SuperscriptBox["aMax", "4"], " ", "t3"}], "+", 
              RowBox[{"4", " ", 
               SuperscriptBox["jMax", "2"], " ", "t3", " ", 
               SuperscriptBox["vf", "2"]}], "+", 
              RowBox[{"2", " ", 
               SuperscriptBox["aMax", "3"], " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"2", " ", "jMax", " ", 
                  SuperscriptBox["t3", "2"]}], "+", "v0", "+", "vf"}], 
                ")"}]}], "+", 
              RowBox[{
               SuperscriptBox["aMax", "2"], " ", "jMax", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"4", " ", "p0"}], "-", 
                 RowBox[{"4", " ", "pf"}], "+", 
                 RowBox[{"5", " ", "jMax", " ", 
                  SuperscriptBox["t3", "3"]}], "+", 
                 RowBox[{"8", " ", "t3", " ", "v0"}], "+", 
                 RowBox[{"4", " ", "t3", " ", "vf"}]}], ")"}]}], "+", 
              RowBox[{"2", " ", "aMax", " ", "jMax", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{
                  SuperscriptBox["jMax", "2"], " ", 
                  SuperscriptBox["t3", "4"]}], "-", 
                 SuperscriptBox["v0", "2"], "+", 
                 RowBox[{"4", " ", "jMax", " ", "t3", " ", 
                  RowBox[{"(", 
                   RowBox[{"p0", "-", "pf", "+", 
                    RowBox[{"t3", " ", "v0"}]}], ")"}]}], "+", 
                 SuperscriptBox["vf", "2"]}], ")"}]}]}], ")"}]}]}], ")"}]}]}],
        ")"}]}]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"6", " ", "aMax", " ", "jMax", " ", 
    RowBox[{"(", 
     RowBox[{"aMax", "+", 
      RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.820473585804414*^9, {3.8204737127364397`*^9, 3.8204737147369204`*^9}, {
   3.820480955037435*^9, 3.82048097487825*^9}},
 CellLabel->
  "Out[1716]=",ExpressionUUID->"86b769ae-d0e9-46d5-bec7-0ff43a85c15b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Simplify", "[", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"tAll", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"t2", "\[Rule]", "0"}], ",", 
           RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"t7r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
      RowBox[{"t6r", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t1r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "]"}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"p0", "\[Rule]", "2.00552"}], ",", 
    RowBox[{"v0", "\[Rule]", "0.117313"}], ",", 
    RowBox[{"a0", "\[Rule]", 
     RowBox[{"-", "0.257548"}]}], ",", 
    RowBox[{"pf", "\[Rule]", "0.753794"}], ",", 
    RowBox[{"vf", "\[Rule]", 
     RowBox[{"-", "1.85382"}]}], ",", 
    RowBox[{"af", "\[Rule]", 
     RowBox[{"-", "0.3"}]}], ",", 
    RowBox[{"vMax", "\[Rule]", 
     RowBox[{"-", "3.5414"}]}], ",", 
    RowBox[{"aMax", "\[Rule]", 
     RowBox[{"-", "2.50139"}]}], ",", 
    RowBox[{"jMax", "\[Rule]", 
     RowBox[{"-", "4.74624"}]}], ",", 
    RowBox[{"t3", "\[Rule]", "0.3044258"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.820473078750752*^9, 3.820473172630065*^9}, {
   3.8204732135474052`*^9, 3.820473451110177*^9}, {3.820473508587474*^9, 
   3.820473571213512*^9}, 3.820473633427541*^9, {3.820473845194648*^9, 
   3.820473856657031*^9}, {3.820474169214101*^9, 3.820474171935603*^9}},
 CellLabel->
  "In[1726]:=",ExpressionUUID->"f0e719fb-1f43-4b7b-ab13-e0030e29f802"],

Cell[BoxData["1.4821339960017283`"], "Output",
 CellChangeTimes->{{3.82047333272334*^9, 3.820473451587966*^9}, {
   3.820473509628545*^9, 3.820473571549449*^9}, 3.820473634210655*^9, {
   3.820473845572859*^9, 3.820473857237887*^9}, {3.820474169732028*^9, 
   3.820474172317548*^9}, 3.820489463914298*^9},
 CellLabel->
  "Out[1726]=",ExpressionUUID->"39d1a936-3d0f-4fbf-8715-c719389e4289"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"t3r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox["1", 
        RowBox[{
         SuperscriptBox["aMax", "2"], " ", "jMax"}]], " ", "t3", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "3"}], " ", 
          SuperscriptBox["a0", "4"], " ", "aMax"}], "+", 
         RowBox[{"3", " ", 
          SuperscriptBox["af", "4"], " ", 
          RowBox[{"(", 
           RowBox[{"aMax", "+", 
            RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "+", 
         RowBox[{"8", " ", 
          SuperscriptBox["a0", "3"], " ", "aMax", " ", 
          RowBox[{"(", 
           RowBox[{"aMax", "+", 
            RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "-", 
         RowBox[{"8", " ", 
          SuperscriptBox["af", "3"], " ", "aMax", " ", 
          RowBox[{"(", 
           RowBox[{"aMax", "+", 
            RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}]}], "-", 
         RowBox[{"24", " ", "a0", " ", "aMax", " ", "jMax", " ", 
          RowBox[{"(", 
           RowBox[{"aMax", "+", 
            RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", "v0"}], "-", 
         
         RowBox[{"6", " ", 
          SuperscriptBox["a0", "2"], " ", "aMax", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["aMax", "2"], "+", 
            RowBox[{"4", " ", "aMax", " ", "jMax", " ", "t3"}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["jMax", "2"], " ", 
             SuperscriptBox["t3", "2"]}], "-", 
            RowBox[{"2", " ", "jMax", " ", "v0"}]}], ")"}]}], "-", 
         RowBox[{"24", " ", "af", " ", "aMax", " ", "jMax", " ", 
          RowBox[{"(", 
           RowBox[{"aMax", "+", 
            RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", "vf"}], "+", 
         
         RowBox[{"6", " ", 
          SuperscriptBox["af", "2"], " ", 
          RowBox[{"(", 
           RowBox[{"aMax", "+", 
            RowBox[{"2", " ", "jMax", " ", "t3"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["aMax", "2"], "+", 
            RowBox[{"2", " ", "jMax", " ", "vf"}]}], ")"}]}], "+", 
         RowBox[{"6", " ", "jMax", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["aMax", "4"], " ", "t3"}], "+", 
            RowBox[{"4", " ", 
             SuperscriptBox["jMax", "2"], " ", "t3", " ", 
             SuperscriptBox["vf", "2"]}], "+", 
            RowBox[{"2", " ", 
             SuperscriptBox["aMax", "3"], " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"2", " ", "jMax", " ", 
                SuperscriptBox["t3", "2"]}], "+", "v0", "+", "vf"}], ")"}]}], 
            "+", 
            RowBox[{
             SuperscriptBox["aMax", "2"], " ", "jMax", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", "p0"}], "-", 
               RowBox[{"4", " ", "pf"}], "+", 
               RowBox[{"5", " ", "jMax", " ", 
                SuperscriptBox["t3", "3"]}], "+", 
               RowBox[{"8", " ", "t3", " ", "v0"}], "+", 
               RowBox[{"4", " ", "t3", " ", "vf"}]}], ")"}]}], "+", 
            RowBox[{"2", " ", "aMax", " ", "jMax", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                SuperscriptBox["jMax", "2"], " ", 
                SuperscriptBox["t3", "4"]}], "-", 
               SuperscriptBox["v0", "2"], "+", 
               RowBox[{"4", " ", "jMax", " ", "t3", " ", 
                RowBox[{"(", 
                 RowBox[{"p0", "-", "pf", "+", 
                  RowBox[{"t3", " ", "v0"}]}], ")"}]}], "+", 
               SuperscriptBox["vf", "2"]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
      "\[Equal]", "0"}], ",", "t3", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.820473613615443*^9, 3.820473672689103*^9}, {
  3.820474010646545*^9, 3.820474014572475*^9}},
 CellLabel->
  "In[1033]:=",ExpressionUUID->"deec1acf-7f7f-498a-a271-e1d2a4884e2c"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"t5r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a5", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"t2", "\[Rule]", "0"}], ",", 
         RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], ")"}], "\[Equal]", 
     "aMax"}], ",", "t5"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"t7r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"a7", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", "t5r"}], ")"}], 
     "\[Equal]", "af"}], ",", "t7"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"t6r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"v7", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"t2", "\[Rule]", "0"}], ",", 
           RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"t7r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
    "t6"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"t1d", "=", 
  RowBox[{"DSolve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{
             RowBox[{"(", 
              RowBox[{"t1", "+", "t3", "+", "t5", "+", "t6", "+", "t7"}], 
              ")"}], "/.", 
             RowBox[{"t7r", "[", 
              RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
            RowBox[{"t5r", "[", 
             RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
           RowBox[{"t6r", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/.", 
         RowBox[{"{", 
          RowBox[{"t1", "\[Rule]", 
           RowBox[{"t1", "[", "t3", "]"}]}], "}"}]}], ",", "t3"}], "]"}], 
      "]"}], "\[Equal]", "0"}], ",", 
    RowBox[{"t1", "[", "t3", "]"}], ",", "t3"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{
           RowBox[{"p7", "/.", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"t2", "\[Rule]", "0"}], ",", 
              RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
           RowBox[{"t5r", "[", 
            RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
          RowBox[{"t7r", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
         RowBox[{"t6r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"{", 
         RowBox[{"t1", "\[Rule]", 
          RowBox[{"t1d", "[", 
           RowBox[{"[", 
            RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}]}], ")"}],
       "\[Equal]", "pf"}], ",", "t3", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.820328385684849*^9, 3.820328491820876*^9}, {
  3.820328532213419*^9, 3.8203285782527523`*^9}, {3.820328729886532*^9, 
  3.820328734855196*^9}, {3.820410678105442*^9, 3.8204106911523943`*^9}, {
  3.820410841821311*^9, 3.820410902942539*^9}, {3.820411051780616*^9, 
  3.82041106879978*^9}, {3.8204115272537537`*^9, 3.820411569036038*^9}, {
  3.820413643850143*^9, 3.820413676200116*^9}, {3.820472516336574*^9, 
  3.820472517302066*^9}},
 CellLabel->
  "In[1661]:=",ExpressionUUID->"76c16481-de84-4e2e-a943-429ec44acad1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t5", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "a0"}], "+", "aMax", "-", 
      RowBox[{"jMax", " ", "t1"}], "+", 
      RowBox[{"jMax", " ", "t3"}]}], "jMax"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.82032839370313*^9, 3.820328418242559*^9}, {
   3.82032846599503*^9, 3.820328492264715*^9}, {3.8203285329447813`*^9, 
   3.820328537485448*^9}, {3.820328567916113*^9, 3.820328579066002*^9}, 
   3.8203286196111507`*^9, 3.82032869522841*^9, {3.820328730797233*^9, 
   3.8203287354905577`*^9}, {3.820410394308826*^9, 3.820410403083768*^9}, {
   3.820410678771249*^9, 3.820410691616139*^9}, {3.820410842755965*^9, 
   3.820410903296626*^9}, {3.820411055065836*^9, 3.820411069310123*^9}, 
   3.820411453020125*^9, {3.820411527574298*^9, 3.820411569445904*^9}, {
   3.820413644277446*^9, 3.820413676581644*^9}, {3.820471321426074*^9, 
   3.820471323404182*^9}, 3.820472517882669*^9, 3.8204804079769993`*^9},
 CellLabel->
  "Out[1661]=",ExpressionUUID->"4675b0ed-5411-4e27-b784-ece8f684f923"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t7", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "af"}], "+", "aMax"}], "jMax"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.82032839370313*^9, 3.820328418242559*^9}, {
   3.82032846599503*^9, 3.820328492264715*^9}, {3.8203285329447813`*^9, 
   3.820328537485448*^9}, {3.820328567916113*^9, 3.820328579066002*^9}, 
   3.8203286196111507`*^9, 3.82032869522841*^9, {3.820328730797233*^9, 
   3.8203287354905577`*^9}, {3.820410394308826*^9, 3.820410403083768*^9}, {
   3.820410678771249*^9, 3.820410691616139*^9}, {3.820410842755965*^9, 
   3.820410903296626*^9}, {3.820411055065836*^9, 3.820411069310123*^9}, 
   3.820411453020125*^9, {3.820411527574298*^9, 3.820411569445904*^9}, {
   3.820413644277446*^9, 3.820413676581644*^9}, {3.820471321426074*^9, 
   3.820471323404182*^9}, 3.820472517882669*^9, 3.820480407983542*^9},
 CellLabel->
  "Out[1662]=",ExpressionUUID->"eb011791-010b-4a86-a2e5-3017cc81a2b0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t6", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a0", "2"], "+", 
      SuperscriptBox["af", "2"], "-", 
      RowBox[{"2", " ", 
       SuperscriptBox["aMax", "2"]}], "-", 
      RowBox[{"4", " ", "a0", " ", "jMax", " ", "t3"}], "-", 
      RowBox[{"4", " ", 
       SuperscriptBox["jMax", "2"], " ", "t1", " ", "t3"}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["jMax", "2"], " ", 
       SuperscriptBox["t3", "2"]}], "-", 
      RowBox[{"2", " ", "jMax", " ", "v0"}], "+", 
      RowBox[{"2", " ", "jMax", " ", "vf"}]}], 
     RowBox[{"2", " ", "aMax", " ", "jMax"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.82032839370313*^9, 3.820328418242559*^9}, {
   3.82032846599503*^9, 3.820328492264715*^9}, {3.8203285329447813`*^9, 
   3.820328537485448*^9}, {3.820328567916113*^9, 3.820328579066002*^9}, 
   3.8203286196111507`*^9, 3.82032869522841*^9, {3.820328730797233*^9, 
   3.8203287354905577`*^9}, {3.820410394308826*^9, 3.820410403083768*^9}, {
   3.820410678771249*^9, 3.820410691616139*^9}, {3.820410842755965*^9, 
   3.820410903296626*^9}, {3.820411055065836*^9, 3.820411069310123*^9}, 
   3.820411453020125*^9, {3.820411527574298*^9, 3.820411569445904*^9}, {
   3.820413644277446*^9, 3.820413676581644*^9}, {3.820471321426074*^9, 
   3.820471323404182*^9}, 3.820472517882669*^9, 3.820480407985921*^9},
 CellLabel->
  "Out[1663]=",ExpressionUUID->"68ed0252-2b59-470b-8053-401273051ec8"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"t1", "[", "t3", "]"}], "\[Rule]", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "a0"}], " ", "t3"}], "+", 
       RowBox[{"aMax", " ", "t3"}], "+", 
       FractionBox[
        RowBox[{"jMax", " ", 
         SuperscriptBox["t3", "2"]}], "2"]}], 
      RowBox[{"jMax", " ", "t3"}]], "+", 
     FractionBox[
      TemplateBox[{"1"},
       "C"], "t3"]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.82032839370313*^9, 3.820328418242559*^9}, {
   3.82032846599503*^9, 3.820328492264715*^9}, {3.8203285329447813`*^9, 
   3.820328537485448*^9}, {3.820328567916113*^9, 3.820328579066002*^9}, 
   3.8203286196111507`*^9, 3.82032869522841*^9, {3.820328730797233*^9, 
   3.8203287354905577`*^9}, {3.820410394308826*^9, 3.820410403083768*^9}, {
   3.820410678771249*^9, 3.820410691616139*^9}, {3.820410842755965*^9, 
   3.820410903296626*^9}, {3.820411055065836*^9, 3.820411069310123*^9}, 
   3.820411453020125*^9, {3.820411527574298*^9, 3.820411569445904*^9}, {
   3.820413644277446*^9, 3.820413676581644*^9}, {3.820471321426074*^9, 
   3.820471323404182*^9}, 3.820472517882669*^9, 3.820480408021639*^9},
 CellLabel->
  "Out[1664]=",ExpressionUUID->"be5f1406-07e7-49d2-b86b-8e78cb1713a9"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"t1", "+", "t3", "+", "t5", "+", "t6", "+", "t7"}], ")"}], "/.", 
       RowBox[{"t7r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
      RowBox[{"t5r", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
     RowBox[{"t6r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/.", 
   RowBox[{"{", 
    RowBox[{"t1", "\[Rule]", 
     RowBox[{"t1d", "[", 
      RowBox[{"[", 
       RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}]}], 
  "]"}]], "Input",
 CellLabel->
  "In[818]:=",ExpressionUUID->"861d34e3-2181-41b8-9a73-9af562bed505"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   SuperscriptBox["a0", "2"], "+", 
   SuperscriptBox["af", "2"], "-", 
   RowBox[{"2", " ", "a0", " ", "aMax"}], "-", 
   RowBox[{"2", " ", "af", " ", "aMax"}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox["aMax", "2"]}], "-", 
   RowBox[{"2", " ", "jMax", " ", "v0"}], "+", 
   RowBox[{"2", " ", "jMax", " ", "vf"}], "-", 
   RowBox[{"4", " ", 
    SuperscriptBox["jMax", "2"], " ", 
    TemplateBox[{"1"},
     "C"]}]}], 
  RowBox[{"2", " ", "aMax", " ", "jMax"}]]], "Output",
 CellChangeTimes->{3.8204133240528812`*^9, 3.820469371353983*^9, 
  3.820471330811005*^9},
 CellLabel->
  "Out[818]=",ExpressionUUID->"a0048a6d-ac5f-4c36-a7f8-8a7117a4ed35"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"t1", "+", "t3", "+", "t5", "+", "t6", "+", "t7"}], ")"}], 
          "/.", 
          RowBox[{"t7r", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
         RowBox[{"t5r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t6r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "/.", 
      RowBox[{"{", 
       RowBox[{"t1", "\[Rule]", 
        RowBox[{"t1d", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "]"}], 
    ",", 
    TemplateBox[{"1"},
     "C"]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{3.820413297501082*^9},
 CellLabel->
  "In[430]:=",ExpressionUUID->"8ce61ef8-3d6a-4ec6-b070-7abcd1cfb2c8"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"2", " ", "jMax"}], "aMax"]}]], "Output",
 CellChangeTimes->{3.820413298115674*^9},
 CellLabel->
  "Out[430]=",ExpressionUUID->"fdecf7ce-a690-4d2a-90bb-ba63fe9a6577"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"t1d", "[", 
    RowBox[{"[", 
     RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ToString", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", "tmp", "]"}], ",", "CForm"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820411594302718*^9, 3.820411600265356*^9}, {
  3.8204116339142923`*^9, 3.8204117055296087`*^9}, {3.820412430326427*^9, 
  3.820412430943693*^9}, {3.8204133951950502`*^9, 3.820413442420022*^9}, {
  3.820413498076028*^9, 3.82041349913265*^9}, {3.820413724873139*^9, 
  3.820413746325324*^9}, {3.820472390348815*^9, 3.8204724558555603`*^9}},
 CellLabel->
  "In[840]:=",ExpressionUUID->"2dc0fa63-a868-4783-87f2-49c1dcb40d82"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["a0", "jMax"]}], "+", 
  FractionBox["aMax", "jMax"], "+", 
  FractionBox["t3", "2"], "+", 
  FractionBox[
   TemplateBox[{"1"},
    "C"], "t3"]}]], "Output",
 CellChangeTimes->{
  3.8204116006288023`*^9, {3.8204116343600283`*^9, 3.8204117060074673`*^9}, 
   3.820412431410157*^9, {3.820413395547113*^9, 3.820413442946476*^9}, 
   3.820413499970809*^9, {3.820413726305271*^9, 3.820413746802314*^9}, {
   3.820472385486072*^9, 3.820472456838818*^9}},
 CellLabel->
  "Out[840]=",ExpressionUUID->"2488aad7-c0fe-4f3c-b9a0-6bceaeb7422d"],

Cell[BoxData["\<\"-(a0/jMax) + aMax/jMax + t3/2. + C(1)/t3\"\>"], "Output",
 CellChangeTimes->{
  3.8204116006288023`*^9, {3.8204116343600283`*^9, 3.8204117060074673`*^9}, 
   3.820412431410157*^9, {3.820413395547113*^9, 3.820413442946476*^9}, 
   3.820413499970809*^9, {3.820413726305271*^9, 3.820413746802314*^9}, {
   3.820472385486072*^9, 3.820472456842058*^9}},
 CellLabel->
  "Out[841]=",ExpressionUUID->"7d97b2e4-726d-4e74-9996-18de0eb3b62a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tRoot", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmpResult", "=", 
   RowBox[{"t3r", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rootFunction", "=", 
   RowBox[{"tmpResult", "[", 
    RowBox[{"[", 
     RowBox[{"tRoot", ",", "2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   FractionBox[
    RowBox[{
     RowBox[{"CoefficientList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"rootFunction", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], ",", "x"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}], 
    RowBox[{"Last", "[", 
     RowBox[{"CoefficientList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"rootFunction", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], ",", "x"}], "]"}], 
     "]"}]], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToString", "[", 
   RowBox[{"tmp", ",", "CForm"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.8204112870913887`*^9, 3.820411353892598*^9}, {
  3.820411449371757*^9, 3.820411504100471*^9}, {3.820413626449093*^9, 
  3.8204136371917067`*^9}, {3.8204136819747753`*^9, 3.820413709817792*^9}, {
  3.820472530803228*^9, 3.8204725399476757`*^9}, {3.8204740215030518`*^9, 
  3.8204740441701117`*^9}, {3.820474320896206*^9, 3.82047434440598*^9}},
 CellLabel->
  "In[1111]:=",ExpressionUUID->"24c1c053-80c3-4a2c-88a6-6d4c95ef0728"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["a0", "2"], "+", 
      SuperscriptBox["af", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["aMax", "2"], "+", 
         RowBox[{"jMax", " ", "v0"}], "-", 
         RowBox[{"jMax", " ", "vf"}]}], ")"}]}]}], ")"}], "2"], 
   RowBox[{"4", " ", 
    SuperscriptBox["jMax", "4"]}]]}]], "Output",
 CellChangeTimes->{{3.820411289155355*^9, 3.820411354444262*^9}, {
  3.8204114497026043`*^9, 3.820411504363306*^9}, {3.820413682722988*^9, 
  3.8204137101103077`*^9}, {3.820472522850286*^9, 3.8204725403208923`*^9}, {
  3.8204740218955936`*^9, 3.820474044456971*^9}, {3.820474321594151*^9, 
  3.8204743446840887`*^9}},
 CellLabel->
  "Out[1114]=",ExpressionUUID->"04df113e-12b6-4d82-83cc-fdc54fb34f30"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"p7", "-", "pf"}], "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t2", "\[Rule]", "0"}], ",", 
            RowBox[{"t4", "\[Rule]", "0"}]}], "}"}]}], "/.", 
         RowBox[{"t5r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t7r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"t6r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{"t1", "\[Rule]", 
        RowBox[{"t1d", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}]}], "}"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{
       TemplateBox[{"1"},
        "C"], "\[Rule]", "0"}], "}"}]}], ")"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToString", "[", 
   RowBox[{
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"tmp", ",", "t3"}], "]"}], "]"}], ",", "CForm"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820412120154948*^9, 3.820412147784712*^9}, {
  3.820412208591464*^9, 3.820412208871632*^9}, {3.8204122400789967`*^9, 
  3.820412290611835*^9}},
 CellLabel->
  "In[411]:=",ExpressionUUID->"f888d31a-1a5d-4b9f-8b3d-e8a2fbe1fedd"],

Cell[BoxData[
 RowBox[{
  FractionBox["1", 
   RowBox[{"24", " ", "aMax", " ", 
    SuperscriptBox["jMax", "2"]}]], 
  RowBox[{"(", 
   RowBox[{
    RowBox[{
     RowBox[{"-", "3"}], " ", 
     SuperscriptBox["a0", "4"]}], "+", 
    RowBox[{"3", " ", 
     SuperscriptBox["af", "4"]}], "+", 
    RowBox[{"8", " ", 
     SuperscriptBox["a0", "3"], " ", "aMax"}], "-", 
    RowBox[{"8", " ", 
     SuperscriptBox["af", "3"], " ", "aMax"}], "-", 
    RowBox[{"24", " ", "a0", " ", "aMax", " ", "jMax", " ", "v0"}], "-", 
    RowBox[{"6", " ", 
     SuperscriptBox["a0", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["aMax", "2"], "-", 
       RowBox[{"2", " ", "jMax", " ", "v0"}]}], ")"}]}], "-", 
    RowBox[{"24", " ", "af", " ", "aMax", " ", "jMax", " ", "vf"}], "+", 
    RowBox[{"6", " ", 
     SuperscriptBox["af", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       SuperscriptBox["aMax", "2"], "+", 
       RowBox[{"2", " ", "jMax", " ", "vf"}]}], ")"}]}], "+", 
    RowBox[{"6", " ", "jMax", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"aMax", " ", "jMax", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", " ", "p0"}], "-", 
          RowBox[{"4", " ", "pf"}], "+", 
          RowBox[{"jMax", " ", 
           SuperscriptBox["t3", "3"]}]}], ")"}]}], "+", 
       RowBox[{"2", " ", 
        SuperscriptBox["aMax", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"v0", "+", "vf"}], ")"}]}], "+", 
       RowBox[{"2", " ", "jMax", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           SuperscriptBox["v0", "2"]}], "+", 
          SuperscriptBox["vf", "2"]}], ")"}]}]}], ")"}]}]}], 
   ")"}]}]], "Output",
 CellChangeTimes->{{3.820412118240746*^9, 3.8204121482415257`*^9}, 
   3.820412209355076*^9, {3.8204122453115273`*^9, 3.820412291375392*^9}},
 CellLabel->
  "Out[411]=",ExpressionUUID->"526ec543-ec8c-4a9d-a247-0396d8fb630c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"t7r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{"a7", "/.", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"t2", "\[Rule]", "0"}], ",", 
         RowBox[{"t4", "\[Rule]", "0"}], ",", 
         RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], ")"}], "\[Equal]", "af"}],
     ",", "t7"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"t3r", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"v7", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}], ",", 
          RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
       RowBox[{"t7r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
    "t3"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t5r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"p7", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t2", "\[Rule]", "0"}], ",", 
            RowBox[{"t4", "\[Rule]", "0"}], ",", 
            RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
         RowBox[{"t7r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t3r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "pf"}], ",", 
     "t5", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.820474527826591*^9, 3.82047453154862*^9}, {
  3.8204745869449778`*^9, 3.8204746482659073`*^9}, {3.820474690083364*^9, 
  3.8204746969904337`*^9}, {3.820475129998219*^9, 3.8204751302241096`*^9}, {
  3.8204757828588877`*^9, 3.820475786665144*^9}},
 CellLabel->
  "In[1277]:=",ExpressionUUID->"c27c1a53-75cf-42e0-b674-3a9ffb6a0dc3"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t7", "\[Rule]", 
    FractionBox[
     RowBox[{"a0", "-", "af", "+", 
      RowBox[{"jMax", " ", "t1"}], "-", 
      RowBox[{"jMax", " ", "t3"}], "+", 
      RowBox[{"jMax", " ", "t5"}]}], "jMax"]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.820474522634281*^9, 3.8204745333435373`*^9}, {
  3.8204745893224087`*^9, 3.820474701939642*^9}, {3.820475122316135*^9, 
  3.8204751553347607`*^9}, {3.820475783082013*^9, 3.8204757902259407`*^9}},
 CellLabel->
  "Out[1277]=",ExpressionUUID->"bf93046e-0f49-4485-8b45-38c284e26597"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"t3", "\[Rule]", 
    FractionBox[
     RowBox[{
      SuperscriptBox["a0", "2"], "-", 
      SuperscriptBox["af", "2"], "+", 
      RowBox[{"4", " ", "a0", " ", "jMax", " ", "t1"}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["jMax", "2"], " ", 
       SuperscriptBox["t1", "2"]}], "+", 
      RowBox[{"4", " ", "a0", " ", "jMax", " ", "t5"}], "+", 
      RowBox[{"4", " ", 
       SuperscriptBox["jMax", "2"], " ", "t1", " ", "t5"}], "+", 
      RowBox[{"2", " ", 
       SuperscriptBox["jMax", "2"], " ", 
       SuperscriptBox["t5", "2"]}], "+", 
      RowBox[{"2", " ", "jMax", " ", "v0"}], "-", 
      RowBox[{"2", " ", "jMax", " ", "vf"}]}], 
     RowBox[{"4", " ", 
      SuperscriptBox["jMax", "2"], " ", "t5"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.820474522634281*^9, 3.8204745333435373`*^9}, {
  3.8204745893224087`*^9, 3.820474701939642*^9}, {3.820475122316135*^9, 
  3.8204751553347607`*^9}, {3.820475783082013*^9, 3.820475790265771*^9}},
 CellLabel->
  "Out[1278]=",ExpressionUUID->"47c327cd-74ba-487d-a735-9271fe465116"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "tAll", ",", "t1", ",", "t3", ",", "t5", ",", "t7", ",", "a1"}], "}"}],
       "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"t2", "\[Rule]", "0"}], ",", 
        RowBox[{"t4", "\[Rule]", "0"}], ",", 
        RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
     RowBox[{"t7r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
    RowBox[{"t3r", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
   RowBox[{"t5r", "[", 
    RowBox[{"[", "3", "]"}], "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"p0", "\[Rule]", "2.00552"}], ",", 
    RowBox[{"v0", "\[Rule]", "0.117313"}], ",", 
    RowBox[{"a0", "\[Rule]", 
     RowBox[{"-", "0.257548"}]}], ",", 
    RowBox[{"pf", "\[Rule]", "0.753794"}], ",", 
    RowBox[{"vf", "\[Rule]", 
     RowBox[{"-", "1.85382"}]}], ",", 
    RowBox[{"af", "\[Rule]", 
     RowBox[{"-", "0.3"}]}], ",", 
    RowBox[{"vMax", "\[Rule]", 
     RowBox[{"-", "3.5414"}]}], ",", 
    RowBox[{"aMax", "\[Rule]", 
     RowBox[{"-", "2.50139"}]}], ",", 
    RowBox[{"jMax", "\[Rule]", 
     RowBox[{"-", "4.74624"}]}], ",", 
    RowBox[{"t1", "\[Rule]", "0.472"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.820474739143957*^9, 3.8204747886307707`*^9}, {
   3.82047498270383*^9, 3.8204750705300503`*^9}, {3.820475176134354*^9, 
   3.820475314202861*^9}, {3.820475866843523*^9, 3.820475883819644*^9}, 
   3.820475929369732*^9, {3.8204768646527967`*^9, 3.820476892549211*^9}},
 CellLabel->
  "In[1294]:=",ExpressionUUID->"8ea1a1c1-e3f2-4db8-ab7f-3f808af06c72"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "1.4034226212114036`", ",", "0.472`", ",", "0.34055719346887703`", ",", 
   "0.23418348226158106`", ",", "0.3566819454809457`", ",", 
   RowBox[{"-", "2.49777328`"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8204747558575583`*^9, 3.82047478889423*^9}, 
   3.820474936120831*^9, {3.820474983184946*^9, 3.820475071006033*^9}, {
   3.8204751353353777`*^9, 3.8204753144223413`*^9}, {3.820475867594133*^9, 
   3.8204758841501303`*^9}, 3.820475929889303*^9, {3.820476865309894*^9, 
   3.820476892800696*^9}},
 CellLabel->
  "Out[1294]=",ExpressionUUID->"4c0b888b-aea4-4c4d-8da6-1ffc5f77f43f"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"t7", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t2", "\[Rule]", "0"}], ",", 
            RowBox[{"t4", "\[Rule]", "0"}], ",", 
            RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
         RowBox[{"t7r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t3r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
       RowBox[{"t5r", "[", 
        RowBox[{"[", "3", "]"}], "]"}]}], "]"}], "\[Equal]", "0"}], ",", "t1",
     ",", 
    RowBox[{"Quartics", "\[Rule]", "False"}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.82047532249549*^9, 3.820475387350528*^9}, 
   3.820553060446093*^9},
 CellLabel->
  "In[1774]:=",ExpressionUUID->"d9b81e1b-a620-4b83-b247-576167e171a3"],

Cell[BoxData[
 TemplateBox[{
  "Part", "partw", 
   "\"Part \\!\\(\\*RowBox[{\\\"3\\\"}]\\) of \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"t5\\\", \\\"\[Rule]\\\", \
FractionBox[RowBox[{RowBox[{\\\"-\\\", \\\"a0\\\"}], \\\"+\\\", \\\"aMax\\\", \
\\\"-\\\", RowBox[{\\\"jMax\\\", \\\" \\\", \\\"t1\\\"}], \\\"+\\\", RowBox[{\
\\\"jMax\\\", \\\" \\\", \\\"t3\\\"}]}], \\\"jMax\\\"]}], \\\"}\\\"}], \
\\\"}\\\"}]\\) does not exist.\"", 2, 1774, 77, 27629486345098471434, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.82055306086793*^9},
 CellLabel->
  "During evaluation of \
In[1774]:=",ExpressionUUID->"860f73f0-1a22-4381-b391-83a5fe45f6bb"],

Cell[BoxData[
 TemplateBox[{
  "ReplaceAll", "reps", 
   "\"\\!\\(\\*RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"t5\\\", \\\"\[Rule]\\\", \
FractionBox[RowBox[{RowBox[{\\\"Times\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}], \
\\\"+\\\", \\\"aMax\\\", \\\"+\\\", RowBox[{\\\"Times\\\", \\\"[\\\", \
RowBox[{\\\"\[LeftSkeleton]\\\", \\\"3\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\
\\\"}], \\\"+\\\", RowBox[{\\\"Times\\\", \\\"[\\\", RowBox[{\\\"\
\[LeftSkeleton]\\\", \\\"2\\\", \\\"\[RightSkeleton]\\\"}], \\\"]\\\"}]}], \\\
\"jMax\\\"]}], \\\"}\\\"}], \\\"}\\\"}], \\\"\[LeftDoubleBracket]\\\", \
\\\"3\\\", \\\"\[RightDoubleBracket]\\\"}], \\\"}\\\"}]\\) is neither a list \
of replacement rules nor a valid dispatch table, and so cannot be used for \
replacing.\"", 2, 1774, 78, 27629486345098471434, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.820553060887501*^9},
 CellLabel->
  "During evaluation of \
In[1774]:=",ExpressionUUID->"e17a1770-eced-42c0-a908-a5086171e1fe"],

Cell[BoxData[
 TemplateBox[{
  "Solve", "nsmet", 
   "\"This system cannot be solved with the methods available to Solve.\"", 2,
    1774, 79, 27629486345098471434, "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.820553061077587*^9},
 CellLabel->
  "During evaluation of \
In[1774]:=",ExpressionUUID->"1afc115f-be72-41fb-b234-a131b96e4952"]
}, Open  ]],

Cell["Profile None", "Text",
 CellChangeTimes->{{3.8205530706144953`*^9, 
  3.8205530725831823`*^9}},ExpressionUUID->"01d76511-8fb3-42cb-9c30-\
b6449baf6a7e"],

Cell["Strategy: Minimize t7", "Text",
 CellChangeTimes->{{3.820553696852582*^9, 
  3.820553702060618*^9}},ExpressionUUID->"b547d3f0-7c9a-4f3a-b73f-\
9a59f81ce228"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"t5r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a7", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}], ",", 
          RowBox[{"t6", "\[Rule]", "0"}], ",", 
          RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], ")"}], "\[Equal]", 
      "af"}], ",", "t5"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v7", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"t2", "\[Rule]", "0"}], ",", 
           RowBox[{"t4", "\[Rule]", "0"}], ",", 
           RowBox[{"t6", "\[Rule]", "0"}], ",", 
           RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
     "t1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"p7", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t2", "\[Rule]", "0"}], ",", 
            RowBox[{"t4", "\[Rule]", "0"}], ",", 
            RowBox[{"t6", "\[Rule]", "0"}], ",", 
            RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], "/.", 
         RowBox[{"t5r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t1r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "\[Equal]", "pf"}], ",", 
     "t3", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}], ",", 
     RowBox[{"Cubics", "\[Rule]", "False"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.820148050395805*^9, 3.820148065954586*^9}, {
  3.820148217478517*^9, 3.820148217962729*^9}, {3.8203284480849323`*^9, 
  3.820328448285055*^9}, {3.820410835578142*^9, 3.820410835724801*^9}, {
  3.820553090855658*^9, 3.82055314726192*^9}, {3.82055319171142*^9, 
  3.820553193588307*^9}, {3.8205532942876053`*^9, 3.82055332144252*^9}, {
  3.820553430951563*^9, 3.820553431017474*^9}, {3.820553723077045*^9, 
  3.8205537850745773`*^9}, {3.820555405025893*^9, 3.8205554061616793`*^9}},
 CellLabel->
  "In[2078]:=",ExpressionUUID->"a1407b25-8b1c-4678-950e-2905d2867987"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"tAll", ",", "t1", ",", "t3", ",", "t5", ",", "t7", ",", 
        RowBox[{
         RowBox[{"Abs", "[", "a1", "]"}], "<", 
         RowBox[{"Abs", "[", "aMax", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Abs", "[", "a3", "]"}], "<", 
         RowBox[{"Abs", "[", "aMax", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Abs", "[", "a5", "]"}], "<", 
         RowBox[{"Abs", "[", "aMax", "]"}]}]}], "}"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"t2", "\[Rule]", "0"}], ",", 
        RowBox[{"t4", "\[Rule]", "0"}], ",", 
        RowBox[{"t6", "\[Rule]", "0"}], ",", 
        RowBox[{"t7", "\[Rule]", "0"}]}], "}"}]}], "/.", 
     RowBox[{"t5r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
    RowBox[{"t1r", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
   RowBox[{"t3r", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"p0", "\[Rule]", "0.391483"}], ",", 
    RowBox[{"v0", "\[Rule]", "0.0"}], ",", 
    RowBox[{"a0", "\[Rule]", 
     RowBox[{"-", "1.30825"}]}], ",", 
    RowBox[{"pf", "\[Rule]", 
     RowBox[{"-", "8.02876"}]}], ",", 
    RowBox[{"vf", "\[Rule]", "0.0"}], ",", 
    RowBox[{"af", "\[Rule]", "0.786929"}], ",", 
    RowBox[{"vMax", "\[Rule]", 
     RowBox[{"-", "1.76418"}]}], ",", 
    RowBox[{"aMax", "\[Rule]", 
     RowBox[{"-", "9.26131"}]}], ",", 
    RowBox[{"jMax", "\[Rule]", 
     RowBox[{"-", "1.00666"}]}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.8205533997447968`*^9, 3.820553682789873*^9}, {
  3.8205552069944677`*^9, 3.8205553216522007`*^9}, {3.8205553758546677`*^9, 
  3.820555382435998*^9}},
 CellLabel->
  "In[2071]:=",ExpressionUUID->"40459963-e419-4b0a-9011-4a4a1a00d925"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "5.111652096860481`", ",", "0.5735719499977827`", ",", 
   "3.5964847614018494`", ",", "0.9415953854608489`", ",", "0", ",", "True", 
   ",", "True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{{3.820553417463468*^9, 3.8205536831916924`*^9}, {
  3.820555208167104*^9, 3.820555322052198*^9}, {3.8205553732456083`*^9, 
  3.820555382869424*^9}},
 CellLabel->
  "Out[2071]=",ExpressionUUID->"05af2dc7-7444-4f1b-881e-a3ef4239f278"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"t5r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"a7", "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}], ",", 
          RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], ")"}], "\[Equal]", 
      "af"}], ",", "t5"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t1r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"v7", "/.", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"t2", "\[Rule]", "0"}], ",", 
           RowBox[{"t4", "\[Rule]", "0"}], ",", 
           RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
        RowBox[{"t5r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "\[Equal]", "vf"}], ",", 
     "t1"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"t3r", "=", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Simplify", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"p7", "/.", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"t2", "\[Rule]", "0"}], ",", 
            RowBox[{"t4", "\[Rule]", "0"}], ",", 
            RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
         RowBox[{"t5r", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
        RowBox[{"t1r", "[", 
         RowBox[{"[", "1", "]"}], "]"}]}], "]"}], "\[Equal]", "pf"}], ",", 
     "t3", ",", 
     RowBox[{"Quartics", "\[Rule]", "False"}], ",", 
     RowBox[{"Cubics", "\[Rule]", "False"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.820555394822846*^9, 3.820555433487376*^9}},
 CellLabel->
  "In[2087]:=",ExpressionUUID->"1885b377-78c9-433f-869e-f4176d7688bb"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
       "tAll", ",", "t1", ",", "t3", ",", "t5", ",", "t7", ",", "v1", ",", 
        RowBox[{
         RowBox[{"Abs", "[", "a1", "]"}], "<", 
         RowBox[{"Abs", "[", "aMax", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Abs", "[", "a3", "]"}], "<", 
         RowBox[{"Abs", "[", "aMax", "]"}]}], ",", 
        RowBox[{
         RowBox[{"Abs", "[", "a5", "]"}], "<", 
         RowBox[{"Abs", "[", "aMax", "]"}]}]}], "}"}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"t2", "\[Rule]", "0"}], ",", 
        RowBox[{"t4", "\[Rule]", "0"}], ",", 
        RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
     RowBox[{"t5r", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
    RowBox[{"t1r", "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
   RowBox[{"t3r", "[", 
    RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"p0", "\[Rule]", "0.391483"}], ",", 
    RowBox[{"v0", "\[Rule]", "0.0"}], ",", 
    RowBox[{"a0", "\[Rule]", 
     RowBox[{"-", "1.30825"}]}], ",", 
    RowBox[{"pf", "\[Rule]", 
     RowBox[{"-", "8.02876"}]}], ",", 
    RowBox[{"vf", "\[Rule]", "0.0"}], ",", 
    RowBox[{"af", "\[Rule]", "0.786929"}], ",", 
    RowBox[{"vMax", "\[Rule]", 
     RowBox[{"-", "1.76418"}]}], ",", 
    RowBox[{"aMax", "\[Rule]", 
     RowBox[{"-", "9.26131"}]}], ",", 
    RowBox[{"jMax", "\[Rule]", 
     RowBox[{"-", "1.00666"}]}], ",", 
    RowBox[{"t7", "\[Rule]", "0.755"}]}], "}"}]}]], "Input",
 CellChangeTimes->{{3.820555415331867*^9, 3.82055551485845*^9}, {
  3.820555878231908*^9, 3.8205559100883904`*^9}},
 CellLabel->
  "In[2218]:=",ExpressionUUID->"23fd23fe-a913-4df2-8bfc-d1a1fb20933d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "6.128048865017226`", ",", "0.5468010545146557`", ",", 
   "3.3496831454802214`", ",", "1.476564665022348`", ",", "0.755`", ",", 
   RowBox[{"-", "0.865843817517385`"}], ",", "True", ",", "True", ",", 
   "True"}], "}"}]], "Output",
 CellChangeTimes->{{3.820555411397791*^9, 3.8205555152416267`*^9}, {
  3.820555879537809*^9, 3.82055591037477*^9}},
 CellLabel->
  "Out[2218]=",ExpressionUUID->"dd24927a-6200-4467-a4d6-a882be7b6987"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tmp", "=", 
   RowBox[{
    RowBox[{"t1r", "[", 
     RowBox[{"[", 
      RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], "/.", 
    RowBox[{"{", 
     RowBox[{"t3", "\[Rule]", "t"}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ToString", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", "tmp", "]"}], ",", "CForm"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820311236074346*^9, 3.820311291553483*^9}, {
   3.82031276791503*^9, 3.820312783125237*^9}, {3.8203138621422157`*^9, 
   3.8203138741399508`*^9}, 3.8203139888931007`*^9, {3.820314026430644*^9, 
   3.82031402704445*^9}, {3.820553234740749*^9, 3.820553279784837*^9}, {
   3.820553341076064*^9, 3.820553341119405*^9}, {3.820553795537238*^9, 
   3.820553801442511*^9}, {3.820553835688751*^9, 3.820553835754855*^9}},
 CellLabel->
  "In[1924]:=",ExpressionUUID->"60875d52-63bd-466d-8436-f5d9243d2f74"],

Cell[BoxData["\<\"(Power(a0,2) - Power(af,2) - 4*a0*jMax*t + \
2*jMax*(jMax*Power(t,2) - v0 + vf))/(4.*Power(jMax,2)*t)\"\>"], "Output",
 CellChangeTimes->{{3.82031121317542*^9, 3.820311291845148*^9}, {
   3.8203127686658154`*^9, 3.820312783807333*^9}, {3.8203138628355913`*^9, 
   3.820313874557353*^9}, 3.820313989375464*^9, 3.820314027868582*^9, {
   3.8205532380020103`*^9, 3.820553280697315*^9}, {3.820553325592517*^9, 
   3.82055334154492*^9}, {3.820553799223054*^9, 3.8205538360584497`*^9}},
 CellLabel->
  "Out[1925]=",ExpressionUUID->"95b2f80a-9411-44ac-8c9f-f69971959e1d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"tRoot", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"tmpResult", "=", 
   RowBox[{"t3r", "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rootFunction", "=", 
   RowBox[{"tmpResult", "[", 
    RowBox[{"[", 
     RowBox[{"tRoot", ",", "2"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   FractionBox[
    RowBox[{
     RowBox[{"CoefficientList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"rootFunction", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], ",", "x"}], "]"}], 
     "[", 
     RowBox[{"[", "1", "]"}], "]"}], 
    RowBox[{"Last", "[", 
     RowBox[{"CoefficientList", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"rootFunction", "[", 
         RowBox[{"[", "1", "]"}], "]"}], "[", "x", "]"}], ",", "x"}], "]"}], 
     "]"}]], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ToString", "[", 
   RowBox[{"tmp", ",", "CForm"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820310959217637*^9, 3.820310992998939*^9}, {
  3.820311083009034*^9, 3.82031110015204*^9}, {3.8203111301558447`*^9, 
  3.820311149559708*^9}, {3.82031267422526*^9, 3.8203126938159723`*^9}, {
  3.820553853475178*^9, 3.820553886660017*^9}},
 CellLabel->
  "In[1957]:=",ExpressionUUID->"ce7e4dd2-380c-4e59-9288-6575057b94dc"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["a0", "2"], "-", 
      SuperscriptBox["af", "2"], "+", 
      RowBox[{"2", " ", "jMax", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "v0"}], "+", "vf"}], ")"}]}]}], ")"}], "2"], 
   RowBox[{"4", " ", 
    SuperscriptBox["jMax", "4"]}]]}]], "Output",
 CellChangeTimes->{{3.820310960699957*^9, 3.820310993336852*^9}, {
  3.820311083360579*^9, 3.8203111004007473`*^9}, {3.820311130572308*^9, 
  3.820311149831209*^9}, {3.82031267242376*^9, 3.820312694076724*^9}, {
  3.820553855950845*^9, 3.820553886923139*^9}},
 CellLabel->
  "Out[1960]=",ExpressionUUID->"f37c94a2-5a71-4134-ad8e-8d41972c1ff4"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"tmp", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"p7", "-", "pf"}], ")"}], "/.", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"t2", "\[Rule]", "0"}], ",", 
          RowBox[{"t4", "\[Rule]", "0"}], ",", 
          RowBox[{"t6", "\[Rule]", "0"}]}], "}"}]}], "/.", 
       RowBox[{"t7r", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
      RowBox[{"t5r", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], "/.", 
     RowBox[{"{", 
      RowBox[{"t1", "\[Rule]", 
       RowBox[{"(", 
        RowBox[{"t1d", "[", 
         RowBox[{"[", 
          RowBox[{"1", ",", "1", ",", "2"}], "]"}], "]"}], ")"}]}], "}"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      TemplateBox[{"1"},
       "C"], "\[Rule]", "t3"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.8203131552132587`*^9, 3.820313186083877*^9}},
 CellLabel->
  "In[491]:=",ExpressionUUID->"431bc900-2004-40c2-ab81-a63aed4ff595"],

Cell[BoxData[
 RowBox[{"-", 
  RowBox[{
   FractionBox["1", 
    RowBox[{"48", " ", 
     SuperscriptBox["jMax", "3"], " ", "t3"}]], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"3", " ", 
      SuperscriptBox["a0", "4"]}], "+", 
     RowBox[{"3", " ", 
      SuperscriptBox["af", "4"]}], "-", 
     RowBox[{"16", " ", 
      SuperscriptBox["a0", "3"], " ", "jMax", " ", "t3"}], "+", 
     RowBox[{"16", " ", 
      SuperscriptBox["af", "3"], " ", "jMax", " ", "t3"}], "+", 
     RowBox[{"48", " ", "a0", " ", 
      SuperscriptBox["jMax", "2"], " ", "t3", " ", "v0"}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["af", "2"], " ", "jMax", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"2", " ", "jMax", " ", 
         SuperscriptBox["t3", "2"]}], "+", "v0", "-", "vf"}], ")"}]}], "+", 
     RowBox[{"48", " ", "af", " ", 
      SuperscriptBox["jMax", "2"], " ", "t3", " ", "vf"}], "+", 
     RowBox[{"6", " ", 
      SuperscriptBox["a0", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        SuperscriptBox["af", "2"], "+", 
        RowBox[{"2", " ", "jMax", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "jMax", " ", 
            SuperscriptBox["t3", "2"]}], "-", "v0", "+", "vf"}], ")"}]}]}], 
       ")"}]}], "-", 
     RowBox[{"12", " ", 
      SuperscriptBox["jMax", "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["jMax", "2"], " ", 
         SuperscriptBox["t3", "4"]}], "-", 
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{"v0", "-", "vf"}], ")"}], "2"], "+", 
        RowBox[{"4", " ", "jMax", " ", "t3", " ", 
         RowBox[{"(", 
          RowBox[{"p0", "-", "pf", "+", 
           RowBox[{"t3", " ", 
            RowBox[{"(", 
             RowBox[{"v0", "+", "vf"}], ")"}]}]}], ")"}]}]}], ")"}]}]}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{{3.820313143353652*^9, 3.820313186409289*^9}},
 CellLabel->
  "Out[491]=",ExpressionUUID->"6dd3b1e1-ea1e-4c19-ae90-592d85bc526a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"ToString", "[", 
  RowBox[{
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{"tmp", ",", "t3"}], "]"}], "]"}], ",", "CForm"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CopyToClipboard", "[", "%", "]"}]}], "Input",
 CellChangeTimes->{{3.820313283350288*^9, 3.820313286340653*^9}},
 CellLabel->
  "In[494]:=",ExpressionUUID->"1e1d00c8-16e2-4441-8e2e-9d37bca8d931"],

Cell[BoxData["\<\"(Power(a0,4) + Power(af,4) + 2*Power(a0,2)*(Power(af,2) - \
2*jMax*(2*jMax*Power(t3,2) + v0 - vf)) + \
4*Power(af,2)*jMax*(2*jMax*Power(t3,2) - v0 + vf) + \
4*Power(jMax,2)*(3*Power(jMax,2)*Power(t3,4) + Power(v0 - vf,2) + \
4*jMax*Power(t3,2)*(v0 + vf)))/(16.*Power(jMax,3)*Power(t3,2))\"\>"], "Output",\

 CellChangeTimes->{3.820313191992317*^9, 3.820313287200824*^9},
 CellLabel->
  "Out[494]=",ExpressionUUID->"e87b983b-e7da-490e-a23b-caa2c7ac4a74"]
}, Open  ]]
},
WindowSize->{1599, 997},
WindowMargins->{{259, Automatic}, {Automatic, -164}},
FrontEndVersion->"12.1 for Mac OS X x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"c8b287f8-8b4a-4e98-ab1e-df7dcd999be5"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 255, 3, 35, "Text",ExpressionUUID->"f0efc888-777d-4c66-b8e6-2db88daacc31"],
Cell[816, 25, 7097, 220, 833, "Input",ExpressionUUID->"d346b209-9dd3-47cf-8f1e-f04bc3bf980a"],
Cell[7916, 247, 6852, 167, 262, "Input",ExpressionUUID->"ccba75f7-892e-4119-93ec-41811b2e330e"],
Cell[14771, 416, 263, 4, 38, "CodeText",ExpressionUUID->"3f45e156-5cf9-44e3-af10-aa1a13b499e9"],
Cell[15037, 422, 229, 4, 35, "Text",ExpressionUUID->"2017e324-b7a0-4489-937e-6129191314c5"],
Cell[15269, 428, 2827, 87, 115, "Input",ExpressionUUID->"29330804-eec8-4caf-a352-e6a473b8e196"],
Cell[18099, 517, 156, 3, 35, "Text",ExpressionUUID->"b2ca35da-1c51-4789-8fe2-df4c8a8a6dd2"],
Cell[18258, 522, 2871, 80, 94, "Input",ExpressionUUID->"d8d6b366-35dd-4052-aa2e-094a5ea14d30"],
Cell[CellGroupData[{
Cell[21154, 606, 639, 17, 73, "Input",ExpressionUUID->"ba86318c-49c6-475e-8175-23998c1d35c0"],
Cell[21796, 625, 317, 7, 54, "Output",ExpressionUUID->"d47918f5-d1be-4a71-b5a6-ecb86447e980"],
Cell[22116, 634, 262, 4, 34, "Output",ExpressionUUID->"fb288fdc-c395-407c-abb8-789580173713"]
}, Open  ]],
Cell[CellGroupData[{
Cell[22415, 643, 1379, 39, 159, "Input",ExpressionUUID->"8661a96e-a382-4a1f-9033-993cef60d8c3"],
Cell[23797, 684, 1780, 51, 54, "Output",ExpressionUUID->"26f01fc3-d112-4df2-a15e-79678a1bc775"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25614, 740, 2109, 65, 94, "Input",ExpressionUUID->"d57e959b-b7e7-4c01-a8fa-026edffa41d9"],
Cell[27726, 807, 516, 13, 54, "Output",ExpressionUUID->"b11919c9-3144-4341-aba1-0b1d8be41a19"],
Cell[28245, 822, 432, 11, 54, "Output",ExpressionUUID->"1c12974d-0498-476d-927d-13b39c32b6c2"],
Cell[28680, 835, 936, 23, 56, "Output",ExpressionUUID->"f685fef8-e488-40f3-869c-d77499e633dc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29653, 863, 1544, 42, 52, "Input",ExpressionUUID->"c031ee14-cf99-44c4-b969-5d49c2e072bf"],
Cell[31200, 907, 474, 10, 34, "Output",ExpressionUUID->"83f74dbf-bf61-4c36-b5da-59096000bc76"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31711, 922, 584, 15, 73, "Input",ExpressionUUID->"32f421af-9488-445c-9a56-fcc5c55c6037"],
Cell[32298, 939, 791, 19, 56, "Output",ExpressionUUID->"e9690900-44cb-4a97-85a3-7c8e1662421c"],
Cell[33092, 960, 416, 6, 34, "Output",ExpressionUUID->"846e2b30-d6d0-4e57-b203-3ccfaa6c2c9f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33545, 971, 571, 16, 30, "Input",ExpressionUUID->"98e5f169-5f1d-47e0-b55e-2ae66f4200cb"],
Cell[34119, 989, 18246, 501, 386, "Output",ExpressionUUID->"8ee6fb37-c85f-48c4-aa14-1794c1a3c7c6"]
}, Open  ]],
Cell[52380, 1493, 3630, 92, 145, "Input",ExpressionUUID->"6e919ab8-7fe2-47c6-90c0-23d9f010233f"],
Cell[CellGroupData[{
Cell[56035, 1589, 800, 23, 30, "Input",ExpressionUUID->"48585b25-f917-4a21-8579-f955faf3196d"],
Cell[56838, 1614, 5214, 126, 169, "Output",ExpressionUUID->"86b769ae-d0e9-46d5-bec7-0ff43a85c15b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[62089, 1745, 1652, 44, 52, "Input",ExpressionUUID->"f0e719fb-1f43-4b7b-ab13-e0030e29f802"],
Cell[63744, 1791, 389, 6, 34, "Output",ExpressionUUID->"39d1a936-3d0f-4fbf-8715-c719389e4289"]
}, Open  ]],
Cell[64148, 1800, 4103, 101, 177, "Input",ExpressionUUID->"deec1acf-7f7f-498a-a271-e1d2a4884e2c"],
Cell[CellGroupData[{
Cell[68276, 1905, 3624, 104, 115, "Input",ExpressionUUID->"76c16481-de84-4e2e-a943-429ec44acad1"],
Cell[71903, 2011, 1071, 20, 54, "Output",ExpressionUUID->"4675b0ed-5411-4e27-b784-ece8f684f923"],
Cell[72977, 2033, 987, 18, 54, "Output",ExpressionUUID->"eb011791-010b-4a86-a2e5-3017cc81a2b0"],
Cell[73967, 2053, 1491, 30, 56, "Output",ExpressionUUID->"68ed0252-2b59-470b-8053-401273051ec8"],
Cell[75461, 2085, 1292, 29, 64, "Output",ExpressionUUID->"be5f1406-07e7-49d2-b86b-8e78cb1713a9"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76790, 2119, 708, 22, 30, "Input",ExpressionUUID->"861d34e3-2181-41b8-9a73-9af562bed505"],
Cell[77501, 2143, 694, 19, 56, "Output",ExpressionUUID->"a0048a6d-ac5f-4c36-a7f8-8a7117a4ed35"]
}, Open  ]],
Cell[CellGroupData[{
Cell[78232, 2167, 936, 29, 30, "Input",ExpressionUUID->"8ce61ef8-3d6a-4ec6-b070-7abcd1cfb2c8"],
Cell[79171, 2198, 221, 6, 52, "Output",ExpressionUUID->"fdecf7ce-a690-4d2a-90bb-ba63fe9a6577"]
}, Open  ]],
Cell[CellGroupData[{
Cell[79429, 2209, 827, 18, 73, "Input",ExpressionUUID->"2dc0fa63-a868-4783-87f2-49c1dcb40d82"],
Cell[80259, 2229, 587, 15, 53, "Output",ExpressionUUID->"2488aad7-c0fe-4f3c-b9a0-6bceaeb7422d"],
Cell[80849, 2246, 449, 7, 34, "Output",ExpressionUUID->"7d97b2e4-726d-4e74-9996-18de0eb3b62a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[81335, 2258, 1577, 41, 159, "Input",ExpressionUUID->"24c1c053-80c3-4a2c-88a6-6d4c95ef0728"],
Cell[82915, 2301, 861, 22, 60, "Output",ExpressionUUID->"04df113e-12b6-4d82-83cc-fdc54fb34f30"]
}, Open  ]],
Cell[CellGroupData[{
Cell[83813, 2328, 1452, 43, 73, "Input",ExpressionUUID->"f888d31a-1a5d-4b9f-8b3d-e8a2fbe1fedd"],
Cell[85268, 2373, 1917, 54, 79, "Output",ExpressionUUID->"526ec543-ec8c-4a9d-a247-0396d8fb630c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[87222, 2432, 1878, 53, 73, "Input",ExpressionUUID->"c27c1a53-75cf-42e0-b674-3a9ffb6a0dc3"],
Cell[89103, 2487, 583, 13, 54, "Output",ExpressionUUID->"bf93046e-0f49-4485-8b45-38c284e26597"],
Cell[89689, 2502, 1114, 26, 57, "Output",ExpressionUUID->"47c327cd-74ba-487d-a735-9271fe465116"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90840, 2533, 1625, 44, 52, "Input",ExpressionUUID->"8ea1a1c1-e3f2-4db8-ab7f-3f808af06c72"],
Cell[92468, 2579, 629, 12, 34, "Output",ExpressionUUID->"4c0b888b-aea4-4c4d-8da6-1ffc5f77f43f"]
}, Open  ]],
Cell[CellGroupData[{
Cell[93134, 2596, 913, 26, 30, "Input",ExpressionUUID->"d9b81e1b-a620-4b83-b247-576167e171a3"],
Cell[94050, 2624, 683, 13, 42, "Message",ExpressionUUID->"860f73f0-1a22-4381-b391-83a5fe45f6bb"],
Cell[94736, 2639, 1093, 19, 42, "Message",ExpressionUUID->"e17a1770-eced-42c0-a908-a5086171e1fe"],
Cell[95832, 2660, 364, 9, 24, "Message",ExpressionUUID->"1afc115f-be72-41fb-b234-a131b96e4952"]
}, Open  ]],
Cell[96211, 2672, 158, 3, 35, "Text",ExpressionUUID->"01d76511-8fb3-42cb-9c30-b6449baf6a7e"],
Cell[96372, 2677, 163, 3, 35, "Text",ExpressionUUID->"b547d3f0-7c9a-4f3a-b73f-9a59f81ce228"],
Cell[96538, 2682, 2385, 62, 73, "Input",ExpressionUUID->"a1407b25-8b1c-4678-950e-2905d2867987"],
Cell[CellGroupData[{
Cell[98948, 2748, 1808, 49, 52, "Input",ExpressionUUID->"40459963-e419-4b0a-9011-4a4a1a00d925"],
Cell[100759, 2799, 476, 10, 34, "Output",ExpressionUUID->"05af2dc7-7444-4f1b-881e-a3ef4239f278"]
}, Open  ]],
Cell[101250, 2812, 1801, 53, 73, "Input",ExpressionUUID->"1885b377-78c9-433f-869e-f4176d7688bb"],
Cell[CellGroupData[{
Cell[103076, 2869, 1771, 49, 52, "Input",ExpressionUUID->"23fd23fe-a913-4df2-8bfc-d1a1fb20933d"],
Cell[104850, 2920, 474, 10, 34, "Output",ExpressionUUID->"dd24927a-6200-4467-a4d6-a882be7b6987"]
}, Open  ]],
Cell[CellGroupData[{
Cell[105361, 2935, 969, 22, 73, "Input",ExpressionUUID->"60875d52-63bd-466d-8436-f5d9243d2f74"],
Cell[106333, 2959, 582, 8, 34, "Output",ExpressionUUID->"95b2f80a-9411-44ac-8c9f-f69971959e1d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[106952, 2972, 1473, 40, 159, "Input",ExpressionUUID->"ce7e4dd2-380c-4e59-9288-6575057b94dc"],
Cell[108428, 3014, 731, 19, 60, "Output",ExpressionUUID->"f37c94a2-5a71-4134-ad8e-8d41972c1ff4"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109196, 3038, 1029, 31, 30, "Input",ExpressionUUID->"431bc900-2004-40c2-ab81-a63aed4ff595"],
Cell[110228, 3071, 2000, 56, 79, "Output",ExpressionUUID->"6dd3b1e1-ea1e-4c19-ae90-592d85bc526a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112265, 3132, 406, 10, 52, "Input",ExpressionUUID->"1e1d00c8-16e2-4441-8e2e-9d37bca8d931"],
Cell[112674, 3144, 471, 8, 56, "Output",ExpressionUUID->"e87b983b-e7da-490e-a23b-caa2c7ac4a74"]
}, Open  ]]
}
]
*)

